#!/bin/bash

#latest-stable
POVRAY_VERSION=latest-stable
#v3.7.0.0

if [ ! -d povray ]; then
	git clone --depth 1 --branch $POVRAY_VERSION https://github.com/POV-Ray/povray povray
fi

cp build.sh povray/build.sh

sudo docker build . -t povray_wasm

cd povray

sudo docker run \
  -v $PWD:/usr/src \
  povray_wasm \
  sh -c 'cd /usr/src && bash build.sh'